acm (6.0+20200416-1.2ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/control: Improve clarity of description.

 -- Matthieu Clemenceau <matthieu.clemenceau@canonical.com>  Sun, 16 Feb 2025 15:59:21 -0600

acm (6.0+20200416-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch to use 64-bit safe format string for time_t -
    thanks to Steve Langasek! (Closes: #1067623)

 -- Andreas Rönnquist <gusnan@debian.org>  Thu, 25 Apr 2024 18:37:07 +0200

acm (6.0+20200416-1.1ubuntu4) noble; urgency=medium

  * debian/patches/64-bit-time-t.patch: use 64-bit-safe format string
    for time_t.  Closes: #1067623.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 13 Apr 2024 00:30:26 +0000

acm (6.0+20200416-1.1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:02:52 +1100

acm (6.0+20200416-1.1ubuntu2) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 06:27:56 +0000

acm (6.0+20200416-1.1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Improve clarity of description.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 21 Jan 2023 22:23:32 -0500

acm (6.0+20200416-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make sure that objects are built reproducibly with the same build flags
    (provided by dpkg-buildflags) and increase size of buffer for sprintf
    output. (Closes: #1012888)

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 15 Oct 2022 18:55:51 +0200

acm (6.0+20200416-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable (LP: #1015343). Remaining changes:
    - debian/control: Improve clarity of description.
  * Dropped change to call fclose in src/main.c (no longer applicable).

 -- Logan Rosen <logan@ubuntu.com>  Sun, 06 Dec 2020 14:13:50 -0500

acm (6.0+20200416-1) unstable; urgency=medium

  * Switch to new upstream source,
    http://www.icosaedro.it/acm/download.html.  (Closes: #362023)
    Also does not exhibit some "black screen" behaviour from the
    previous version.  (Closes: #765815)
  * Take opportunity to switch to source format 3 / quilt.
  * Patch inventory.c for format errors.  Using changes suggested by
    upstream, thank you!  (fix_inventory.patch)
  * Fix enum so that acm builds. (fix_mouse_stick_mode_enum.patch)
  * Set directories for Debian filesystem (set_default_object_dir.patch
    and fix_paths_in_acm_tcl.patch)
  * Revise build-depends for substantially revised upstream code.
  * Add some hardening (hardening1.patch).

 -- Phil Brooke <pjb@debian.org>  Tue, 17 Nov 2020 11:52:56 +0000

acm (5.0-30) unstable; urgency=medium

  * Fix FTBFS with gcc-10.  Due to variable hasFired in aim120.c that
    should be static.  (Closes: 956978)
  * Add <string.h> to radar.c.
  * Bump standards-version to 4.5.0.

 -- Phil Brooke <pjb@debian.org>  Wed, 19 Aug 2020 11:45:47 +0100

acm (5.0-29.2ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Change description to be less confusing.
    - src/main.c: Add call to fclose to close file pointer.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 08 Sep 2018 21:01:49 +0000

acm (5.0-29.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libgdbm-compat-dev and fix the FTBFS with newer gdbm
    versions. (Closes: #889530)
  * wrap-and-sort -sa.
  * Switch to compat level 11 (was 6).
  * d/rules: Use the correct dpkg buildflag variable CFLAGS instead of
    DEBCFLAGS. This will also ensure that the -dbgsym package is created
    correctly.
  * Fix error "format-not-a-string-literal".

 -- Markus Koschany <apo@debian.org>  Wed, 18 Apr 2018 03:18:08 +0200

acm (5.0-29.1ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Change description to be less confusing.
    - src/main.c: Add call to fclose to close file pointer.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 03 Apr 2016 02:03:55 +0000

acm (5.0-29.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS: Type of arg 1 to dbmclose must be hash (not constant
    item) at ./create-tables-5 (perl 5.22?)":
    Use dbmclose with a hash argument.
    And close the correct file handles as well.
    (Closes: #808489)

 -- gregor herrmann <gregoa@debian.org>  Mon, 21 Dec 2015 19:30:49 +0100

acm (5.0-29ubuntu1) vivid; urgency=medium

  * Rebase on debian, Drop all changes except:
    + Changed description in debian/control to be less confusing.
    + Add call to fclose to close file pointer (Informed Upstream).

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 26 Oct 2014 17:02:55 +0530

acm (5.0-29) unstable; urgency=medium

  * Fix FTBFS with clang as suggested by Arthur Marble.
    Fixed the non-void function should return a value in
      dis/test/disscope.c
      src/splash.c
    Thanks, Arthur (closes: 740019).
  * Desktop integration of games (closes: 737788):
     * Added a desktop file (acm.desktop).
     * Desktop icons added (acm*.png).
     * Menu icon added (acm.xpm).
  * Bump standards-version to 3.9.6.
  * Added source/format 1.0.
  * Added build-depends on sharutils to uudecode the PNG icons.
  * Added acm.dirs as a result of changes above.
  * Import buildflags.mk.

 -- Phil Brooke <pjb@debian.org>  Sat, 18 Oct 2014 11:31:30 +0100

acm (5.0-28) unstable; urgency=low

  * Merging revised description from 5.0-27ubuntu2 (closes: 588894).
    Thanks, Sam L.
  * Fix synposis.
  * Bump standards-version to 3.9.2.
  * Update debian/rules for recommended build targets and replace dh_clean
    -k with dh_prep.

 -- Phil Brooke <pjb@debian.org>  Wed, 07 Dec 2011 10:59:30 +0000

acm (5.0-27) unstable; urgency=low

  * Fix FTBFS on hurd-i386:
      * Don't set SVR4 flag in configure (don't want filio.h).
      * Add libelfg0-dev as build-depends for hurd-i386.
      * Fix path in dis/lib/sitename.c.
      * Fix use of perror &c. in dis/sdbm/util.c.

 -- Phil Brooke <pjb@debian.org>  Sat, 13 Feb 2010 17:07:26 +0000

acm (5.0-26) unstable; urgency=low

  * Bump standards version to 3.8.4.
  * Add ${misc:Depends} to Depends.
  * Fix interpolate.h for FTBFS.
  * Removed use of libXt and libnsl.

 -- Phil Brooke <pjb@debian.org>  Sun, 07 Feb 2010 16:47:08 +0000

acm (5.0-25) unstable; urgency=low

  * Update to standards-version 3.8.2.
  * Replaced build-dependency on x-dev with x11proto-core-dev
    (closes: #515356).
  * Bump debian/compat to 6 and build-depends on debhelper.
  * Now refer to GPL-2 common licence, not the GPL.
  * Adjust copyright notice in debian/copyright to add dates.

 -- Phil Brooke <pjb@debian.org>  Tue, 23 Jun 2009 18:01:46 +0100

acm (5.0-24) unstable; urgency=low

  * Acknowledge NMU -23.1 -- thanks.
  * Update to standards-version 3.7.3:
      * Changed section in menu.
  * Removed DH_COMPAT line from rules, replaced with debian/compat.
  * No longer ignore make distclean errors in rules.

 -- Phil Brooke <pjb@debian.org>  Thu, 20 Dec 2007 20:56:21 +0000

acm (5.0-23.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Fix several initialization bugs that can trigger crashes on some
    architectures.  Closes: #413174.

 -- Steve Langasek <vorlon@debian.org>  Tue,  6 Mar 2007 18:05:34 -0800

acm (5.0-23) unstable; urgency=low

  * Applied patch from Petr Salinger to fix FTBFS on GNU/kFreeBSD
    (closes: #378217).

 -- Phil Brooke <pjb@debian.org>  Wed, 26 Jul 2006 21:51:23 +0000

acm (5.0-22) unstable; urgency=low

  * Applied patch from Mohammed Adnène Trojette:
      * Correct copyright file to show original source (closes: #372495).
      * Bump standards-version to 3.7.2 (no changes needed).
  * Added PostScript version of acmdoc.rtf (HTML conversion lost images)
    (closes: #372496).

 -- Phil Brooke <pjb@debian.org>  Sat, 10 Jun 2006 14:01:11 +0100

acm (5.0-21) unstable; urgency=low

  * Replaced xlibs-dev with libx11-dev, libxext-dev, libxt-dev, x-dev.
  * Bumped DH_COMPAT to 4.

 -- Phil Brooke <pjb@debian.org>  Wed,  4 Jan 2006 16:17:12 +0000

acm (5.0-20) unstable; urgency=low

  * Added menu hints as suggested by Clarence Risher (closes: #311036).
  * Bumped standards-version to 3.6.2.
  * Updated FSF postal address in copyright file.
  * prerm now uses /bin/bash not /bin/sh.
  * Added dummy time/date stamp to changelog entry for 4.7-1.

 -- Phil Brooke <pjb@debian.org>  Sun, 11 Sep 2005 15:17:18 +0100

acm (5.0-19) unstable; urgency=low

  * Applied patch from Andreas Jochens to fix dis/sdbm/util.c so that
    acm builds with amd64/gcc-3.4 (Closes: #280272).

 -- Phil Brooke <pjb@debian.org>  Thu, 11 Nov 2004 18:50:05 +0000

acm (5.0-18) unstable; urgency=low

  * Applied patch from Andreas Jochens to fix conflict for malloc in
    splash.c (Closes: #261291).

 -- Phil Brooke <pjb@debian.org>  Sun,  8 Aug 2004 16:26:55 +0100

acm (5.0-17) unstable; urgency=low

  * Modified code that sets up NAS audio server name so that it
    cleanly compiles (Closes: #248804).
  * Cleaning up Debian menu file for acm.

 -- Phil Brooke <pjb@debian.org>  Wed, 19 May 2004 07:10:20 +0100

acm (5.0-16) unstable; urgency=low

  * Adding missing includes to prevent `assignment makes pointer from
    integer without a cast' warnings that are fatal on ia64
    (Closes: #226558).
  * Cleaned up similar warnings from audio.c.

 -- Phil Brooke <pjb@debian.org>  Thu, 15 Jan 2004 11:41:19 +0000

acm (5.0-15) unstable; urgency=low

  * Fixing typo in man page (`-nospash') (Closes: #215302).
  * Update to standards-version 3.6.1.0.

 -- Phil Brooke <pjb@debian.org>  Sun, 12 Oct 2003 14:34:46 +0100

acm (5.0-14) unstable; urgency=low

  * Added -audio option so that other NAS servers can be used.
  * Modified new audio code so that sound is only played for CT_PLANE
    entities (otherwise, we can hear drones fire their missiles).

 -- Phil Brooke <pjb@debian.org>  Mon, 25 Aug 2003 20:08:26 +0100

acm (5.0-13) unstable; urgency=low

  * Acknowledge NMU 5.0-12.1 (Closes: #199587).
  * Applied patch from David Fries: This improves the audio code
    substantially, in particular, adding a forked process to handle
    the audio player.  Joysticks are now usable under Linux using the
    -linuxjs option.

 -- Phil Brooke <pjb@debian.org>  Sun,  3 Aug 2003 19:36:47 +0100

acm (5.0-12.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-depend on libgdbm-dev instead of libgdbmg1-dev
    (Closes: #199587).
  * Eliminate redefinition of sys_errlist in dis/sdbm/util.c.
  * Include gdbm-ndbm.h instead of ndbm.h in dis/sdbm/dbe.c.

 -- Matt Kraai <kraai@debian.org>  Tue, 22 Jul 2003 15:56:04 -0700

acm (5.0-12) unstable; urgency=low

  * Added comment to the fix applied in revision -10 (xdr_var_array.c).
  * Applying further XDR fixes, this time to xdr_umem.c.

 -- Phil Brooke <pjb@debian.org>  Mon,  5 May 2003 19:56:58 +0100

acm (5.0-11) unstable; urgency=low

  * Fixing broken configure.in -- it breaks the audio code.

 -- Phil Brooke <pjb@debian.org>  Tue,  1 Apr 2003 16:19:42 +0100

acm (5.0-10) unstable; urgency=medium

  * Applied SunRPC XDR fix from glibc to identical code here.
  * Stopped using /usr/lib/games in favour of /usr/share/games.
  * Standards version now 3.5.9.0.

 -- Phil Brooke <pjb@debian.org>  Tue,  1 Apr 2003 14:10:32 +0100

acm (5.0-9) unstable; urgency=low

  * Fixed problem where players over DIS links would not appear on
    TEWS.
  * Added stall warning audio code.
  * Standards version now 3.5.8.0.

 -- Phil Brooke <pjb@debian.org>  Sun, 12 Jan 2003 20:29:52 +0000

acm (5.0-8) unstable; urgency=low

  * Changed (build) dependencies due to nas-{lib,dev} name change.
  * Added missing audio build-dependency.
  * Removed postinst /usr/doc link.

 -- Phil Brooke <pjb@debian.org>  Mon, 11 Nov 2002 11:53:11 +0000

acm (5.0-7) unstable; urgency=low

  * Fixed typo in man page (Closes: #159413).
  * Moving to gdbm-ndbm from db1.
  * Sorted out prerm and postinst for /usr/doc symlink.

 -- Phil Brooke <pjb@debian.org>  Tue,  3 Sep 2002 20:38:24 +0100

acm (5.0-6) unstable; urgency=low

  * Folding in suggested changes to audio code from Giuseppe Borzi'.
  * Added -dis-silent switch.
  * More comments added to README.Debian.

 -- Phil Brooke <pjb@debian.org>  Tue, 16 Jul 2002 13:20:25 +0100

acm (5.0-5) unstable; urgency=low

  * Added menu entry.

 -- Phil Brooke <pjb@debian.org>  Tue, 23 Apr 2002 10:34:52 +0000

acm (5.0-4) unstable; urgency=low

  * New email address for maintainer.
  * Added notes to README.Debian re: bug 143297.
  * Added -nosplash switch as possible workaround for bug 143297.

 -- Phil Brooke <pjb@debian.org>  Wed, 17 Apr 2002 13:59:54 +0000

acm (5.0-3) unstable; urgency=low

  * Fixed ia64 segfault in disgen during build (Closes: Bug#133025).

 -- Phil Brooke <philb@soc.plym.ac.uk>  Tue, 19 Feb 2002 13:48:59 +0000

acm (5.0-2) unstable; urgency=low

  * Changed priority from extra to optional.  Fixes override disparity.
  * Added missing #include of asm/ioctls.h to joystick.c that was
    preventing build on powerpc and sparc.
  * Modified #if that prevented build on mips and mipsel.
  * Adding error checking to subshells in Makefile.in's.

 -- Phil Brooke <philb@soc.plym.ac.uk>  Mon, 11 Feb 2002 12:03:30 +0000

acm (5.0-1) unstable; urgency=low

  * Completely new upstream source tree: uses DIS instead of client-server.
  * New maintainer (Closes: Bug#93337).
  * Two packages now: acm4 (the old version) and this package.
  * Added debian/README.Debian and debian/TODO files.
  * Manpage modified because of broken -dv switch; modified other switches.
  * Modified render.c to make flaps visible.

 -- Phil Brooke <philb@soc.plym.ac.uk>  Tue,  5 Feb 2002 10:05:00 +0000

acm (4.7-8) unstable; urgency=high

  * QA upload.
  * configure: Link libaudio with libXaw to avoid unresolved symbols.
    Fixes the second half of #12759.
  * src/acm.c: Usually it's reasonable to qualify DISPLAY with the local
    host name (e.g. :0.0 -> myhost:0.0) so that it can be used by a remote
    acms. However, avoid this with a local acms, as the X server may not
    be listening on TCP (by default it doesn't).
  * src/gear.c, src/navaid.c, tools/balance.c, tools/hsi_header.c,
    V/lib/Vlib.h, V/lib/VDrawArc.c: Changed (double)M_PI back to M_PI
    since glibc no longer defines it as long double.
  * Converted from debstd to debhelper.
  * Conforms to Standards version 3.5.6:
    * Moved to the FHS.
    * Added build dependencies.  Closes: #70118, #95137.
    * debian/menu: Added.
    * configure, src/Makefile.in, debian/rules: Support DEB_BUILD_OPTIONS.
    * debian/copyright: Refer to /usr/share/common-licenses/GPL.
  * Raised priority to optional, catching up with the override file.
  * debian/changelog: Removed obsolete Emacs local variables.
  * debian/copyright: Updated FSF postal address.
  * debian/preinst, debian/postinst, debian/prerm: Removed pre-buzz (1.1)
    compatibility.

 -- Matej Vela <vela@debian.org>  Mon, 24 Dec 2001 12:00:05 +0100

acm (4.7-7) unstable; urgency=low

  * Changed maintainer address to Debian QA Group <packages@qa.debian.org>

 -- Bas Zoetekouw <bas@debian.org>  Sat,  4 Aug 2001 14:53:42 +0200

acm (4.7-6.1) unstable; urgency=low

  * NMU
  * Changed the maintainer address to ezanard@debian.org, since
    ezanardi@molec1.dfis.ull.es bounces.

 -- Bas Zoetekouw <bas@debian.org>  Sun, 22 Apr 2001 21:13:44 +0200

acm (4.7-6) unstable; urgency=low

  * Changed M_PI to (double)M_PI in a few source files to use libc6
    math.h, that declares math constants as long double.
  * Pristine sources.

 -- Enrique Zanardi <ezanardi@molec1.dfis.ull.es>  Sun, 21 Sep 1997 17:57:06 +0100

acm (4.7-5) unstable; urgency=low

  * Removed false libelf0 dependency.

 -- Enrique Zanardi <ezanardi@molec1.dfis.ull.es>  Wed, 12 Feb 1997 11:51:42 +0000

acm (4.7-4) unstable; urgency=low

  * Updated to new packaging standard (Closes Bug#3548,3849,4484 and 5049).
  * I can't reproduce the behavior observed in Bug#1366, so I close this too.

 -- Enrique Zanardi <ezanardi@molec1.dfis.ull.es>  Wed, 12 Feb 1997 01:50:40 +0000

acm (4.7-1) unstable; urgency=low

  * added Debian GNU/Linux package maintenance system files
  * added necessary `#ifdef's and `#ifndef's for compilation
    under Linux
  * changed installation targets from /usr/bin and /usr/games
    to /usr/games and /usr/lib/games
  * removed `-g' option from DEFS in configure

 -- Ian Murdock <imurdock@debian.org>  Thu,  1 Jan 1970 12:00:00 +0000

